org.springframework.remoting.httpinvoker

## Interface HttpInvokerRequestExecutor

- All Known Implementing Classes:
    AbstractHttpInvokerRequestExecutor, HttpComponentsHttpInvokerRequestExecutor, SimpleHttpInvokerRequestExecutor
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

  Deprecated.
  as of 5.3 (phasing out serialization-based remoting)

      @Deprecated
       @FunctionalInterface
      public interface HttpInvokerRequestExecutor

  Strategy interface for actual execution of an HTTP invoker request. Used by HttpInvokerClientInterceptor and its subclass HttpInvokerProxyFactoryBean.

  Two implementations are provided out of the box:

  - `SimpleHttpInvokerRequestExecutor`: Uses JDK facilities to execute POST requests, without support for HTTP authentication or advanced configuration options.
  - `HttpComponentsHttpInvokerRequestExecutor`: Uses Apache's Commons HttpClient to execute POST requests, allowing to use a preconfigured HttpClient instance (potentially with authentication, HTTP connection pooling, etc).
  Since:
    1.1
  Author:
    Juergen Hoeller
  See Also:
    `HttpInvokerClientInterceptor.setHttpInvokerRequestExecutor(org.springframework.remoting.httpinvoker.HttpInvokerRequestExecutor)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `RemoteInvocationResult` | `executeRequest(HttpInvokerClientConfiguration config, RemoteInvocation invocation)` Deprecated. Execute a request to send the given remote invocation.

- - ### Method Detail

    - #### executeRequest

          RemoteInvocationResult executeRequest(HttpInvokerClientConfiguration config,
                                                RemoteInvocation invocation)
                                         throws Exception

      Deprecated.
      Execute a request to send the given remote invocation.
      Parameters:
        `config` - the HTTP invoker configuration that specifies the target service
        `invocation` - the RemoteInvocation to execute
      Returns:
        the RemoteInvocationResult object
      Throws:
        `IOException` - if thrown by I/O operations
        `ClassNotFoundException` - if thrown during deserialization
        `Exception` - in case of general errors